# Manager

The `core` `Manager` class is the base class of all components in circuits. It is what defines the API(s) of all components and necessary machinery to run your application smoothly.

Note

It is not recommended to actually use the `Manager` in your application code unless you know what you’re doing.

Warning

A `Manager` does not know how to register itself to other components! It is a manager, not a component, however it does form the basis of every component.

## Usage

Using the `Manager` in your application is not really recommended except in some special circumstances where you want to have a top-level object that you can register things to.

Example:

     1from circuits import Component, Manager
     2
     3
     4class App(Component):
     5    """Your Application"""
     6
     7
     8manager = Manager()
     9App().register(manager)
    10manager.run()

Note

If you think you need a `Manager` chances are you probably don’t. Use a `Component` instead.